##########################################################
# ./runDagocBenchmark.sh <binary> <start> <stop>
# Executes binary file $1 from start=$2 to stop=$3
# Writes application output and time used to a resultfile
##########################################################
#!/bin/bash

unique=`date +%Y%m%d-%H%M%S`
echo "unique: " $unique
res=benchmarks/bench_$2_$3-$1-$unique.txt
echo "ResultFile: " $res

s0=$(date +%s)

./$1 -c -start=$2 -stop=$3 ~/ygg/dagocproject/setups/TEST.sup >> $res

s1=$(date +%s)

let s=$s1-$s0
echo "Start:" $2 >> $res
echo "End:" $3 >> $res
echo "Executable:" $1 >> $res
echo "Total time:" $s "seconds" >> $res

