#######################################################################
# ./runMultiBenchmark.sh <num_bench_pr_binary> <start> <stop> <binary_> 
# Executes binary files $1 times from start=$2 to stop=$3
# Collects and writes average time used to a resultfile
#######################################################################
#!/bin/bash

resfile=benchmarks/timingResults.`date +%Y%m%d-%H%M%S`
for filename in $( ls $4* ); do
	for ((i=0;i<$1;i++)) ; do
		echo "Running dagocbench on" $filename $i
		./runDagocBenchmark.sh $filename $2 $3
	done

	echo "bench_$2_$3-"$filename >> $resfile
	./getTimeFromBenchFiles.sh benchmarks/bench_$2_$3-$filename >> $resfile
	echo "********************************" >> $resfile

done
